package de.myreality.dawn.tests;

import com.badlogic.gdx.ApplicationListener;

import de.myreality.chronos.resources.ResourceManager;
import de.myreality.dawn.DawnGame;

/**
 * Test application for testing the graphical user interface
 * 
 * @author Miguel Gonzalez <miguel-gonzalez@gmx.de>
 * @since 0.0.1
 * @version 0.0.1
 */
public class GUITest implements ApplicationListener {
	
	private ResourceManager resourceManager;

	@Override
	public void create() {
		resourceManager = ResourceManager.getInstance();
		DawnGame.loadResources(resourceManager);
	}

	@Override
	public void resize(int width, int height) {
		
	}

	@Override
	public void render() {
		
	}

	@Override
	public void pause() {
		
	}

	@Override
	public void resume() {
		
	}

	@Override
	public void dispose() {
		
	}
	
}
